### Method

# WebKit2WebExtension DOMElement closest

deprecated: 2.22 since: 2.16

#### Declaration [src]

    WebKitDOMElement*
    webkit_dom_element_closest (
      WebKitDOMElement* self,
      const gchar* selectors,
      GError** error
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`selectors`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitDOMElement`

A `WebKitDOMElement`.

The data is owned by the instance.